<?php

namespace Drupal\entity_merge\Plugin\EntityMergeHandler;

use Drupal\entity_merge\MergeContext;

/**
 * Simplenews Subscriber entity merge handler.
 *
 * @EntityMergeHandler(
 *   id = "simplenews_subscriber",
 * )
 *
 * @package Drupal\entity_merge\Plugin\EntityMergeHandler
 */
class SubscriberEntityMergeHandler extends EntityMergeHandlerBase {

  /**
   * {@inheritdoc}
   */
  protected function getDisplayFieldsToSkip(MergeContext $context): array {
    return array_merge(parent::getDisplayFieldsToSkip($context), [
      'uuid',
      'uid',
      'mail',
      'language',
    ]);
  }

  /**
   * {@inheritdoc}
   */
  public function postMerge(MergeContext $context) {
    $context->getSecondary()->setStatus(FALSE);
  }

}
